<?php
namespace Claromentis\Quiz\Model;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_fb99753f3474808f0ecf85" . "1b80a7ceef" => base64_decode("YXR0ZW1wdF9r" . "ZXk="), "_8652ba3" . "3e6ffeba" . "02459fa9" . "cbb32085" . "1" => base64_decode("cmVwb3NpdG9ye" . "Q=="), "attemp" . "t_id" => base64_decode("YXR0ZW" . "1wdF9p" . "ZA=="), "i" . "d" => base64_decode("aWQ" . "="), "_706239afda05c192b5e8dd5" . "59f41aba9" => base64_decode("YXR0ZW1wdF" . "92YWx1ZQ=="), "_209ba8353832266d80c2" . "2f25644db621" => base64_decode("cXVpel9hdHRlbXB0X" . "3Byb3BlcnR5"));
use Claromentis\Core\Repository\RepositoryItemAbstract;
use JsonSerializable;
use ObjectsStorage;














class AttemptProperty extends RepositoryItemAbstract implements JsonSerializable, PropertyInterface
{
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $_ee97244432473014aa9408ee5cf1f596)
    {
        $_ee97244432473014aa9408ee5cf1f596->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_209ba83538322" . "66d80c22f25644" . "db621"])->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT)->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["attem" . "pt_id"], ObjectsStorage::T_INT, 11)->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_fb99753f3474808f0ecf8" . "51b80a7ceef"], ObjectsStorage::T_STRING, 100)->MapDbColumn($this, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_706239afda05c192b5e8dd559f41ab" . "a9"], ObjectsStorage::T_STRING, 4000)->SetCacheMode($this, \ClaCache::MEMORY);
    }
    
    
    
    
    
    
    
    
    public function jsonSerialize()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["i" . "d"] => (int) $this->id, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["attemp" . "t_id"] => (int) $this->attempt_id, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_fb99753f347480" . "8f0ecf851b80a7c" . "eef"] => $this->attempt_key, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_706239afda05c192b5e8dd559f41" . "aba9"] => $this->attempt_value);
    }
    
    
    
    
    
    
    public function GetParentId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["attem" . "pt_id"]);
    }
    
    
    
    
    
    
    public function SetParentId($attempt_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["attempt_" . "id"], $attempt_id);
    }
    
    
    
    
    
    
    public function GetKey()
    {
        return $this->GetProperty($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fb99753f34" . "74808f0ecf8" . "51b80a7ceef"]);
    }
    
    
    
    
    
    
    public function SetKey($_cbc91abf342819eec93ad5eca696836a)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fb99753f3474808f0ecf851b8" . "0a7ceef"], $_cbc91abf342819eec93ad5eca696836a);
    }
    
    
    
    
    
    
    public function HasValue()
    {
        return isset($this->attempt_value);
    }
    
    
    
    
    
    
    public function GetValue()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_706239afda05c192b5e8dd559f" . "41aba9"]);
    }
    
    
    
    
    
    
    public function SetValue($_71f6a5b5840d77d6f5700b8129d32c14)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_706239afda05c192" . "b5e8dd559f41aba9"], $_71f6a5b5840d77d6f5700b8129d32c14);
    }
    
    
    
    
    
    
    
    public function __set($_c241f11ec2591cc626823468234ffaf4, $_71f6a5b5840d77d6f5700b8129d32c14)
    {
        
        
        if ($_c241f11ec2591cc626823468234ffaf4 !== $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8652ba3" . "3e6ffeba" . "02459fa9" . "cbb32085" . "1"]) {
            $this->SetProperty($_c241f11ec2591cc626823468234ffaf4, $_71f6a5b5840d77d6f5700b8129d32c14);
        }
    }
}